/** control RGB LED matrix panels through shift registers
 *  @file
 *  @author King Kévin <kingkevin@cuvoodoo.info>
 *  @copyright SPDX-License-Identifier: GPL-3.0-or-later
 *  @date 2022
 */
#define RGBPANEL_HEIGHT 32 /**< number of rows in the RGB matrix */
#define RGBPANEL_WIDTH 64 /**< number of columns in the RGB matrix */

/** setup peripheral to control RGB panel */
void rgbpanel_setup(void);
/** release peripheral used to control RGB panel */
void rgbpanel_release(void);
/** switch off all LEDs on the RGB panel */
void rgbpanel_clear(void);
/** set color of the LED on the RGB panel
 *  @param[in] x horizontal position (0 = left)
 *  @param[in] y vertical position (0 = top)
 *  @param[in] r if the red LED should be on
 *  @param[in] g if the green LED should be on
 *  @param[in] b if the blue LED should be on
 */
void rgbpanel_set(int16_t x, int16_t y, bool r, bool g, bool b);
